
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MongoDB日志轮转 / 憋错料</title>

    <meta name="description" content="MongoDB日志轮转 在配置文件中添加参数 logpath=/data/app_data/mongodb/log/mongodb.log  logappend=true Windows下只有这种日志轮转方式 &gt; use admin; switched to db admin &gt; db.runCommand({logRotate : 1}) { &quot;ok&quot; : 1 } Linux下还可以通过设置定时任务每天凌晨轮转日志 0 0 * * * /bin/kill -SIGUSR1 `cat / ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">MongoDB日志轮转</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>在配置文件中添加参数</p>
<pre>logpath=/data/app_data/mongodb/log/mongodb.log&nbsp;
logappend=true</pre>
<p>Windows下只有这种日志轮转方式</p>
<pre>&gt;&nbsp;use&nbsp;admin;
switched&nbsp;to&nbsp;db&nbsp;admin
&gt;&nbsp;db.runCommand({logRotate&nbsp;:&nbsp;1})
{&nbsp;"ok"&nbsp;:&nbsp;1&nbsp;}</pre>
<p>Linux下还可以通过设置定时任务每天凌晨轮转日志</p>
<pre>0&nbsp;0&nbsp;*&nbsp;*&nbsp;*&nbsp;/bin/kill&nbsp;-SIGUSR1&nbsp;`cat&nbsp;/data/app_data/mongodb/data/mongod.pid`</pre>
<p>查看日志</p>
<pre>-rw-r--r--&nbsp;1&nbsp;mongod&nbsp;mongod&nbsp;&nbsp;13M&nbsp;Apr&nbsp;&nbsp;1&nbsp;20:47&nbsp;mongodb.log
-rw-r--r--&nbsp;1&nbsp;mongod&nbsp;mongod&nbsp;332K&nbsp;Dec&nbsp;20&nbsp;&nbsp;2013&nbsp;mongodb.log.2013-12-19T16-00-01
-rw-r--r--&nbsp;1&nbsp;mongod&nbsp;mongod&nbsp;1.7M&nbsp;Dec&nbsp;21&nbsp;&nbsp;2013&nbsp;mongodb.log.2013-12-20T16-00-01
-rw-r--r--&nbsp;1&nbsp;mongod&nbsp;mongod&nbsp;1.9M&nbsp;Dec&nbsp;22&nbsp;&nbsp;2013&nbsp;mongodb.log.2013-12-21T16-00-01
-rw-r--r--&nbsp;1&nbsp;mongod&nbsp;mongod&nbsp;2.3M&nbsp;Dec&nbsp;23&nbsp;&nbsp;2013&nbsp;mongodb.log.2013-12-22T16-00-02
-rw-r--r--&nbsp;1&nbsp;mongod&nbsp;mongod&nbsp;2.3M&nbsp;Dec&nbsp;24&nbsp;&nbsp;2013&nbsp;mongodb.log.2013-12-23T16-00-01
-rw-r--r--&nbsp;1&nbsp;mongod&nbsp;mongod&nbsp;2.7M&nbsp;Dec&nbsp;25&nbsp;&nbsp;2013&nbsp;mongodb.log.2013-12-24T16-00-01
-rw-r--r--&nbsp;1&nbsp;mongod&nbsp;mongod&nbsp;2.5M&nbsp;Dec&nbsp;26&nbsp;&nbsp;2013&nbsp;mongodb.log.2013-12-25T16-00-01</pre>
<p>轮转后的日志会以UTC时间戳为文件名后缀。</p>
<p>参考文档：</p>
<p><a href="http://docs.mongodb.org/v2.4/tutorial/rotate-log-files/" rel="external nofollow noreferrer">http://docs.mongodb.org/v2.4/tutorial/rotate-log-files/</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-09 07:54:24 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/mongodb/" title="mongodb">mongodb</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>MongoDB日志轮转的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Z0YrQJ3.html" rel="bookmark">logrotate的日志轮转linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				案例:logrotate的日志轮转 针对admin.log文件,设置logrotate 每天轮转一次 保留3个备份 文件大于100k自动轮转 论转完的文件压缩创建权限0600,所有者root 所属组root 步骤: 1.首先查看logrotate包是否安装 [[email protected] log]# rpm -q logrotate logrotate-3.7.8-17.el6.x86_64 创建日志admin.log 因为本人虚拟机中没有admin.log这个文件 [[email pro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vEV860.html" rel="bookmark">mongodb日志清理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mongodb的日志相对其他数据库来说应该算是很大的,刚才由于报警,所以我查看啦一下,有15G的日志产生,下面是我的清理过程 出于对安全方面,我们服务器禁止使用rm命令,所以我在/home目录下创建啦一个mongolog文件夹 先查看一下日志大小和数量 #ls /opt/mongodb/log total 15G-rw-r--r--. 1 root root 6.6G Jul  2 17:10 mongodb.log-rw-r--r--. 1 root root 6.5K Oct 16  201			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49LY7n3.html" rel="bookmark">Linux下logrotate日志轮转操作梳理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于Linux系统安全来说,日志文件是极其重要的工具.logrotate程序是一个日志文件管理工具.用于分割日志文件,删除旧的日志文件,并创建新的日志文件,起到&quot;转储&quot;作用.可以节省磁盘空间.下面就对logrotate日志轮转操作做一梳理记录: 1)配置文件介绍Linux系统默认安装logrotate工具,它默认的配置文件在:/etc/logrotate.conf/etc/logrotate.d/ logrotate.conf 才主要的配置文件,logrotate.d 是一个目录,该目			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mzkdv80.html" rel="bookmark">使用Mtools分析MongoDB日志文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一 Mtools介绍 mtools是一组用来解析和过滤MongoDB日志文件的脚本.mtools包括以下几个工具: mlogfilter    可以根据时间切割日志文件,过滤慢查询等 mloginfo      返回日志文件信息,比如开始和结束时间等 mplotqueries   对日志文件进行视图展现 mlogvis      创建一个自定义html文件交互式展现 mlaunch      快速搭建本地测试环境,包括复制集合分片系统 mtools是用python写的,需要python2.6或者			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bLrWo4.html" rel="bookmark">MongoDB 日志太大怎么办？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MongoDB的日志增长的很快,/var所在的空间马上就占满了,即便换到另一个磁盘分区保存日志,日志还是增长的很快,磁盘眼看要告磬. 有一个好办法,就是使用旋转日志. MongoDB的旋转日志有点怪,Linux下mongd服务接受一个kill -SGIUSR1命令后就立刻将当前日志文件重命名为带日期的文件,然后创建新的日志文件. 不想一般的旋转日志,可以配置旋转策略.不过没关系,经过测试,发送该命令时不会影响到MongoDB的服务. 下面是一个例子,先查找进程id, 然后发送命令. [email			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mm7r6V3.html" rel="bookmark">&lbrack;翻译&rsqb;mongodb日志分析工具mtools之mplotqueries</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mtools是一组非常好用的mongodb日志分析工具,里面最复杂的命令是mplotqueries,上网查了一下,还没有人翻译过.英文不好,费了好大的劲翻完,翻的不好,但没有办法,我英文水平就这么多~ 原文地址:https://github.com/rueckstiess/mtools/wiki/mplotqueries ----------------------------------------------------------------------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLAX6W0.html" rel="bookmark">Apache自带的rotatelogs实现日志轮转</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用Apache自带的rotatelogs程序处理apache生成的日志自动截断重新生成,rotatelogs是一个配合Apache管道日志功能使用的简单程序.设置方法如下: 编辑Apache的主配置文件,更改内容如下: 注释掉如下两行 ErrorLog logs/error_log CustomLog logs/access_log common 然后添加如下两行 ErrorLog &quot;|/path/to/bin/rotatelogs logs/errorlog.%Y-%m-%d-%H_%M_%S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXre6z3.html" rel="bookmark">docker的日志轮转rotate具体实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				type JSONFileLogger struct { buf      *bytes.Buffer //buffer内容 f        *os.File   // 文件属性 mu       sync.Mutex // buffer写文件的锁 capacity int64      //文件容量 n        int        //日志备份的最大数 ctx      logger.Context } 写日志的时候,是通过协程锁约定,防止写入冲突 func (l *JSONFile			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vYYda0.html" rel="bookmark">logstash记录mongodb日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				环境:mongodb 3.2.17  logstash 6 mongodb日志实例格式文件路径为/root/mongodb.log: 2018-03-06T03:11:51.338+0800 I COMMAND  [conn1978967] command top_fba.$cmd command: createIndexes { createIndexes: &quot;top_amazon_fba_inventory_data_2018-03-06&quot;, indexes: [ { key: {			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/7MVPLk3.html" rel="bookmark" class="title">Nexys4 DDR MIG控制器引脚文件</a>
					<div>
						目前网上只有ucf文件,vivado不兼容ucf格式 使用c++字符串转换的xdc格式代码 set_property -dict { PACKAGE_PIN R7 IOSTANDARD SSTL18_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n4A8Dz3.html" rel="bookmark" class="title">jfianl返回自定义的404页面</a>
					<div>
						1 public class MyErrorRenderFactory implements IErrorRenderFactory{ 2 3 public Render getRender(int  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNbrP3.html" rel="bookmark" class="title">ios  调用相机后 view  下沉问题</a>
					<div>
						我只加了一句代码 现在不报错了  因为这个问题是随机性的  我也不太明白这个地方是怎么回事   我只是这样子做了  问题不出来了 if ([[[UIDevice currentDevice] syst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MywROm3.html" rel="bookmark" class="title">UNIX系统的文件类型</a>
					<div>
						普通文件(regular file).这是最常用的文件类型,这种文件包含了某种形式的数据.至于这种数据是文本还是二进制数据,对于UNIX内核而言并无区别.对普通文件内容的解释由处理该文件的应用程序进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35VmXn4.html" rel="bookmark" class="title">&lbrack;转&rsqb;delphi 删除动态数组的指定元素</a>
					<div>
						type TArr = array of TPoint; {把数组先定义成一个类型会方便许多, 这里仅用 TPoint 测试} {删除动态数组指定元素的过程: 参数 arr 是数组名, 参数 Inde ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3889By3.html" rel="bookmark" class="title">java---interrupt、interrupted和isInterrupted的区别</a>
					<div>
						1.interrupt interrupt方法用于中断线程.调用该方法的线程的状态为将被置为&quot;中断&quot;状态. 注意:线程中断仅仅是置线程的中断状态位,不会停止线程.需要用户自己去监视 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5orr3.html" rel="bookmark" class="title">【匈牙利算法模板】BZOJ1191-超级英雄</a>
					<div>
						1 #include&lt;iostream&gt; 2 #include&lt;cstdio&gt; 3 #include&lt;cstring&gt; 4 #include&lt;algorith ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qvwn94.html" rel="bookmark" class="title">ICON DESIGNER：未来设计，这是我能给灵魂空间最好的礼物</a>
					<div>
						热爱编织未来情绪,现在对话未来时空 骄傲演绎最爱灵魂,插上脑洞大开的翅膀 给自己送上一份&quot;未来设计&quot; 这算是灵魂空间给自己最好的礼物啦 但小蜘想,这都不及-- 让未来现在就来,美梦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y7ddN4.html" rel="bookmark" class="title">Java自动装箱和拆箱</a>
					<div>
						什么是自动装箱拆箱 基本数据类型的自动装箱(autoboxing).拆箱(unboxing)是自J2SE 5.0开始提供的功能. 一般我们要创建一个类的对象实例的时候,我们会这样: Class a = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1JE7M.html" rel="bookmark" class="title">实例演示在SQL数据库中启用全文检索</a>
					<div>
						http://www.ebay.com/cln/7us6224/2014-12-02/138840325012http://www.ebay.com/cln/us.5438/2014-12-02/13 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmoBbV3.html" rel="bookmark" class="title">Spring 2&period;0 的AOP介绍及其通知类型</a>
					<div>
						Spring 2.0的AOP 在Spring 2.0中最激动人心的增强之一是关于Spring AOP,它变得更加便于使用而且更加强大,主要是通过复杂而成熟的AspectJ语言的支持功能来实现,而同时保 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/022vgE0.html" rel="bookmark" class="title">jQuery 3&period;0正式发布</a>
					<div>
						jQuery 基金会刚刚发布了该 JavaScript 框架的 3.0 版本,并且首次抛弃了对老旧的 IE 浏览器的支持.jQuery 3.0 的工作始于 2014 年 10 月,其最初目标是在 2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLvkaE3.html" rel="bookmark" class="title">C&plus;&plus;类的成员</a>
					<div>
						1.成员变量 成员变量可以是任何类型,如基本数据类型.引用.另一个类的对象或指针.自身类的引用或指针,但不能是自身类的对象: 成员变量不能指定为auto.register.extern 存储类型. 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49eqO14.html" rel="bookmark" class="title">主题模型&mdash;&mdash;隐含狄利克雷分布总结</a>
					<div>
						摘要: 1.算法概述 2.算法推导 3.算法特性及优缺点 4.注意事项 5.实现和具体例子 6.适用场合 7.与NB,pLSA比较 内容: 1.算法概述: 先贴一段维基百科中关于主题模型的描述,便于大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MobR6k4.html" rel="bookmark" class="title">在oracle表中插入空字段和null测试</a>
					<div>
						create table testTable ( id number, name varchar2(100) ) select * from testTable insert into testTab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xBKKQ4.html" rel="bookmark" class="title">如何解决ADB server didn&amp;&num;39&semi;t ACK</a>
					<div>
						在使用虚拟手机调试应用程序时遇到了如下问题: ADB server didn't ACK        * failed to start daemon * 该问题主要由adb端口被占用造成的,如何解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoXJWw0.html" rel="bookmark" class="title">iOS vpn</a>
					<div>
						onvao,在safari中输入 https://r.onavo.com/iphone/activate/SFog8uW4GVsMsS7s6RyMbHEq?carrier_name=&amp;dire ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0baoevM.html" rel="bookmark" class="title">GCD12 &colon;创建并发线程  和 调用后台线程</a>
					<div>
						问题: 你想在程序中运行单独的任务时,拥有最大的控制权.例如,你想要根据用户要求,来运行一个长计算请求,同时,主线程 UI 可以自由的与用户交互和做别的事情. 讨论: 在程序中使用线程: - (voi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nwraj3.html" rel="bookmark" class="title">iOS开发的52个要点纪要之二</a>
					<div>
						6.可以用属性@property语法来定义对象中所封装的数据. 通过“特质”来指定存数数据所需的正确语义. 在设置属性所对应的实例变量时,一定要遵从该属性所声明的语义. 开发iOS程序时应该使用non ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vDxxXM.html" rel="bookmark" class="title">hiho上的一些线段树问题总结</a>
					<div>
						概念:线段树(Segment Tree)是一种二叉搜索树,它将一个区间划分成一些单元区间,每个单元区间对应线段树中的一个叶结点.对于线段树中的每一个非叶子节点[a,b],它的左子树表示的区间为[a,( ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
